mslinn / scala-sig

Typesafe crypto for Scala

GitHub

Typesafe Scala Cryptography

Build Status GitHub version

Projects are built with Scala 2.12, which requires Java 8+.

See the unit tests for examples of how to use this library.

Installation

Add this to your project's build.sbt:

resolvers += "micronautics/scala on bintray" at "http://dl.bintray.com/micronautics/scala"

libraryDependencies += "com.micronautics" %% "scala-sig" % "0.1.5"

Scaladoc

Here.